#include <windows.h>
#include "WinSock2.h"
#include <stdio.h>
#include <stdint.h>

int main(int argc, char **argv)
{
	WSADATA wsa;
	if (WSAStartup(MAKEWORD(2, 2), &wsa) != 0)
	{
		printf("WSAStartup error\r\n");
		return 0;
	}
	
	SOCKET fd = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);
	if (fd < 0)
		exit(1);
	SOCKADDR_IN service;

	service.sin_family = AF_INET;
	service.sin_port = htons(80);
	
	LPHOSTENT host = gethostbyname("www.igorkov.org");
	if (!host)
	{
		printf("gethostbyname error\r\n");
		exit(1);
	}
	
	service.sin_addr = *((LPIN_ADDR)*host->h_addr_list);
	
	if (connect(fd, (SOCKADDR *)&service, sizeof(service)) < 0)
	{
		printf("connect error\r\n");
		exit(1);
	}

	if (1)
	{
		int ret;
		char header[1024];
		char answer[1024];
		char data[100];
		float temp;
		
		srand (time(NULL));
		temp = 20.0f + (float)(rand()%100)/10.0f - 5.0f;
		sprintf(data, "%d;%0.1f", time(NULL), temp);
		
		sprintf(header, "GET http://www.igorkov.org/XXX/add.php?file=temp&data=%s HTTP/1.0\r\n\r\n", data);
		printf("%s", header);
		
		ret = send(fd, header, strlen(header), 0);
		printf("Bytes Sent: %ld\n", ret);

		// answer
		ret = recv(fd, answer, sizeof(answer)-1, 0);
		if ( ret > 0 )
		    printf("Bytes received: %d\n", ret);
		else if ( ret == 0 )
            printf("Connection closed\n");
        else
            printf("recv ret %d, failed: %d\n", ret, WSAGetLastError());
		
		printf("Received data size: %d\r\n", strlen(answer));
		printf("%s", answer);
	}

	closesocket(fd);
	WSACleanup();
	return 0;
}
